<substruct name="MapData">
	<version number="58617">
		<array name="map_array" count="var:num_updates">
			<str16 name="map_name">
			<u16 name="map_unknown">
			<u16 name="num_locations">
			<array name="locations_array" count="var:num_locations">
				<f32 name="loc_x">
				<f32 name="loc_y">
				<f32 name="loc_z">
			</array>
		</array>
	</version>
	<version number="60114">
		<u8 name="map_data_array_size" if="var:unknown5bxxx">
		<array name="map_array" count="var:num_updates">
			<str16 name="map_name">
			<u16 name="map_unknown">
			<u16 name="num_locations">
			<array name="locations_array" count="var:num_locations">
				<f32 name="loc_x">
				<f32 name="loc_y">
				<f32 name="loc_z">
			</array>
		</array>
	</version>
	<version number="60174">
		<array name="map_array" count="var:num_updates">
			<str16 name="map_name">
			<u16 name="map_unknown">
			<u16 name="num_locations">
			<array name="locations_array" count="var:num_locations">
				<f32 name="loc_x">
				<f32 name="loc_y">
				<f32 name="loc_z">
			</array>
		</array>
	</version>
	<version number="63167">
		<array name="map_array" count="var:num_updates">
			<str16 name="map_name">
			<u16 name="map_unknown">
			<u16 name="num_locations">
			<array name="locations_array" count="var:num_locations">
				<f32 name="loc_x">
				<f32 name="loc_y">
				<f32 name="loc_z">
			</array>
		</array>
	</version>
	<version number="66157">
		<array name="map_array" count="var:num_updates">
			<str16 name="map_name">
			<u16 name="map_unknown_66157_1_MJ1">
			<u16 name="num_locations">
			<array name="locations_array" count="var:num_locations">
				<f32 name="loc_x">
				<f32 name="loc_y">
				<f32 name="loc_z">
			</array>
		</array>
	</version>
</substruct>